## org.eclipse.emf.ecoretools.diagram.edit.parts
Class EClassAttributesEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
                  org.eclipse.gmf.runtime.diagram.ui.editparts.CompartmentEditPart
                      org.eclipse.gmf.runtime.diagram.ui.editparts.ResizableCompartmentEditPart
                          org.eclipse.gmf.runtime.diagram.ui.editparts.ListCompartmentEditPart
                              org.eclipse.emf.ecoretools.diagram.edit.parts.EClassAttributesEditPart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.RequestConstants, org.eclipse.gmf.runtime.common.core.util.IAdaptableSelection, org.eclipse.gmf.runtime.diagram.core.listener.NotificationListener, org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart, org.eclipse.gmf.runtime.diagram.ui.editparts.IResizableCompartmentEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IContainedEditPart, org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart

    public class EClassAttributesEditPart

extends org.eclipse.gmf.runtime.diagram.ui.editparts.ListCompartmentEditPart

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart
`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

Field Summary
`static int` `VISUAL_ID`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ListCompartmentEditPart
`listening, modelChildrenListenersCount`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart
`accessibleEP, elementGuid`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`EClassAttributesEditPart(org.eclipse.gmf.runtime.notation.View view)`

Method Summary
`protected void` `createDefaultEditPolicies()`
`org.eclipse.draw2d.IFigure` `createFigure()`
`java.lang.String` `getCompartmentName()`
`protected boolean` `hasModelChildrenChanged(org.eclipse.emf.common.notify.Notification evt)`
`protected void` `setRatio(java.lang.Double ratio)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ListCompartmentEditPart
`addSemanticChildrenListeners, addSemanticListeners, getBaseModelChildren, getChildrenFilteredBy, getChildrenSortedBy, getComparator, getFilteredChildren, getModelChildByID, getModelChildren, getSortedChildren, handleNotificationEvent, isAffectingSortingFiltering, modeAutomatic, removeSemanticChildrenListeners, removeSemanticListeners`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.ResizableCompartmentEditPart
`addNotationalListeners, getAdapter, getCompartmentFigure, getContentPane, isSelectable, refreshCollapsed, refreshRatio, refreshShowCompartmentTitle, refreshVisuals, removeNotationalListeners, setCollapsed, setFont, setFontColor, setShowCompartmentTitle`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.CompartmentEditPart
`getDragTracker`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editparts.GraphicalEditPart

`activate, addChild, addListenerFilter, addListenerFilter, basicGetModel, createConnection, createEditPolicies, deactivate, disableCanonicalFor, disableEditMode, enableEditMode, eraseSourceFeedback, eraseTargetFeedback, executeCommand, findEditPart, getAccessibleEditPart, getChildBySemanticHint, getChildBySemanticHintOnPrimaryView, getChildViewBySemanticHint, getCommand, getContentPaneFor, getDiagramEditDomain, getDiagramPreferencesHint, getDiagramView, getEditDomain, getEditingDomain, getLineType, getLineWidth, getMapMode, getModel, getNotationView, getPreferredValue, getPrimaryChildEditPart, getPrimaryView, getResourceManager, getRoot, getStructuralFeatureValue, getTopGraphicEditPart, handleMajorSemanticChange, hasNotationView, isCanonical, isEditModeEnabled, notifyChanged, performDirectEditRequest, performRequest, reactivateSemanticModel, refresh, refreshBackgroundColor, refreshChild, refreshFont, refreshFontColor, refreshForegroundColor, refreshLineType, refreshLineWidth, refreshSourceConnection, refreshTargetConnection, refreshVisibility, registerModel, removeListenerFilter, removeNotify, resolveSemanticElement, setBackgroundColor, setConnectionsVisibility, setForegroundColor, setLineType, setLineWidth, setModel, setStructuralFeatureValue, setVisibility, showSourceFeedback, showTargetFeedback, transactionAboutToCommit, unregisterModel`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getFigure, getLayer, getModelSourceConnections, getModelTargetConnections, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getChildren, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getParent, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setParent, setSelected, toString, understandsRequest, unregister, unregisterAccessibility`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.editparts.IGraphicalEditPart
`findEditPart, getChildBySemanticHint, getDiagramEditDomain, getDiagramPreferencesHint, getEditingDomain, getNotationView, getPreferredValue, getPrimaryChildEditPart, getPrimaryView, getStructuralFeatureValue, getTopGraphicEditPart, resolveSemanticElement, setStructuralFeatureValue`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.internal.editparts.IEditableEditPart
`disableEditMode, enableEditMode, isEditModeEnabled`

Field Detail

### VISUAL_ID

    public static final int VISUAL_ID

See Also:
  Constant Field Values

Constructor Detail

### EClassAttributesEditPart

    public EClassAttributesEditPart(org.eclipse.gmf.runtime.notation.View view)

Method Detail

### hasModelChildrenChanged

    protected boolean hasModelChildrenChanged(org.eclipse.emf.common.notify.Notification evt)

  Specified by:
    `hasModelChildrenChanged` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ListCompartmentEditPart`

### getCompartmentName

    public java.lang.String getCompartmentName()

  Specified by:
    `getCompartmentName` in interface `org.eclipse.gmf.runtime.diagram.ui.editparts.IResizableCompartmentEditPart`
  Overrides:
    `getCompartmentName` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ListCompartmentEditPart`

### createFigure

    public org.eclipse.draw2d.IFigure createFigure()

  Overrides:
    `createFigure` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ListCompartmentEditPart`

### createDefaultEditPolicies

    protected void createDefaultEditPolicies()

  Overrides:
    `createDefaultEditPolicies` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ListCompartmentEditPart`

### setRatio

    protected void setRatio(java.lang.Double ratio)

  Overrides:
    `setRatio` in class `org.eclipse.gmf.runtime.diagram.ui.editparts.ResizableCompartmentEditPart`

Copyright 2007 Anyware Technologies. All Rights Reserved.